execute @e[type=item,name="Warrior"] ~ ~ ~ tag @p[r=3] add warriorload
title @a[tag=warriorload] title Warrior Class
clear @a[tag=warriorload]
execute @a[tag=warriorload] ~ ~ ~ structure load spawn 0 63 -3
replaceitem entity @a[tag=warriorload] slot.weapon.offhand 0 shield 1 0 {"keep_on_death":{}}
give @a[tag=warriorload] iron_sword 1 0 {"keep_on_death":{}}
tag @a[tag=warriorload] add warrior
tag @a[tag=warrior] remove warriorload
execute @a[tag=warrior] ~ ~ ~ kill @e[r=7,type=item,name="Warrior"]

effect @a[tag=warrior] strength 1 0 true
effect @a[tag=warrior] resistance 1 0 true
effect @a[tag=warrior] speed 1 0 true
enchant @a[tag=warrior] sharpness 3
execute @e[type=arrow] ~ ~ ~ effect @p[r=5,tag=warrior] blindness 10 1 true
effect @a[tag=warrior] mining_fatigue 1 0 true


execute @e[type=item,name="Archer"] ~ ~ ~ tag @p[r=3] add archerload
title @a[tag=archerload] title Archer Class
clear @a[tag=archerload]
execute @a[tag=archerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=archerload] bow 1 0 {"keep_on_death":{}}
replaceitem entity @a[tag=archerload] slot.inventory 0 arrow 1 0 {"keep_on_death":{}}
tag @a[tag=archerload] add archer
tag @a[tag=archer] remove archerload
execute @a[tag=archer] ~ ~ ~ kill @e[r=7,type=item,name="Archer"]

execute @e[type=arrow] ~ ~ ~ effect @p[r=1,tag=archer] strength 15 1 true
effect @a[tag=archer] weakness 1 0 true
enchant @a[tag=archer] power 2
enchant @a[tag=archer] infinity

execute @e[type=item,name="Oak Log"] ~ ~ ~ tag @p[r=4,tag=archer] add woodgive
give @a[tag=woodgive] log 2
execute @a[tag=woodgive] ~ ~ ~ kill @e[r=4,type=item,name="Oak Log"]
tag @a[tag=woodgive] remove woodgive


execute @e[type=item,name="Mage"] ~ ~ ~ tag @p[r=3] add mageload
title @a[tag=mageload] title Mage Class
clear @a[tag=mageload]
execute @a[tag=mageload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=mageload] redstone_torch 10 1 {"keep_on_death":{}}
give @a[tag=mageload] soul_torch 3 1 {"keep_on_death":{}}
give @a[tag=mageload] magma_cream 2 1 {"keep_on_death":{}}
tag @a[tag=mageload] add mage
tag @a[tag=mage] remove mageload
execute @a[tag=mage] ~ ~ ~ kill @e[r=7,type=item,name="Mage"]

execute @e[type=item,name="Redstone Torch"] ~ ~ ~ tag @p[r=4,tag=mage] add bolt
title @a[tag=bolt] actionbar Striking
execute @a[tag=bolt] ~ ~ ~ summon lightning_bolt ^ ^ ^15
execute @a[tag=bolt] ~ ~ ~ summon lightning_bolt ^ ^ ^15
execute @a[tag=bolt] ~ ~ ~ summon lightning_bolt ^ ^ ^15
execute @a[tag=bolt] ~ ~ ~ kill @e[r=5,type=item,name="Redstone Torch"]
tag @a[tag=bolt] remove bolt

effect @a[tag=mage] weakness 1 2 true

execute @e[type=item,name="Soul Torch"] ~ ~ ~ tag @p[r=4,tag=mage] add fang
title @a[tag=fang] actionbar Piercing
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^10
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^11
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^12
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^13
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^14
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^15
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^16
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^17
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^18
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^19
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^20
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^21
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^22
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^23
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^24
execute @a[tag=fang] ~ ~ ~ summon evocation_fang ^ ^ ^25
execute @a[tag=fang] ~ ~ ~ kill @e[r=5,type=item,name="Soul Torch"]
tag @a[tag=fang] remove fang

execute @e[type=item,name="Magma Cream"] ~ ~ ~ tag @p[r=4,tag=mage] add heal
title @a[tag=heal] actionbar Healing
effect @a[tag=heal] regeneration 1 12 true
execute @a[tag=heal] ~ ~ ~ kill @e[r=5,type=item,name="Magma Cream"]
tag @a[tag=heal] remove heal


execute @e[type=item,name="Summoner"] ~ ~ ~ tag @p[r=3] add summonerload
title @a[tag=summonerload] title Summoner Class
clear @a[tag=summonerload]
execute @a[tag=summonerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=summonerload] skull 1 2 {"keep_on_death":{}}
tag @a[tag=summonerload] add summoner
tag @a[tag=summoner] remove summonerload
execute @a[tag=summoner] ~ ~ ~ kill @e[r=7,type=item,name="Summoner"]

replaceitem entity @a[tag=summoner] slot.armor.feet 0 air 
replaceitem entity @a[tag=summoner] slot.armor.legs 0 air
replaceitem entity @a[tag=summoner] slot.armor.chest 0 air
replaceitem entity @a[tag=summoner] slot.armor.head 0 air

execute @e[type=zombie] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true
execute @e[type=skeleton] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true
execute @e[type=wither_skeleton] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true
execute @e[type=zombie_pigman] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true
execute @e[type=piglin_brute] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true
execute @e[type=cave_spider] ~ ~ ~ effect @p[r=15,tag=summoner] invisibility 1 1 true

execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=zombie] strength 1 1
execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=skeleton] strength 1 1
execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=wither_skeleton] strength 1 1
execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=zombie_pigman] strength 1 1
execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=piglin_brute] strength 1 1
execute @a[tag=summoner] ~ ~ ~ effect @e[r=15,type=cave_spider] strength 1 1

execute @e[type=item,name="Zombie Head"] ~ ~ ~ tag @p[r=4,tag=summoner] add zombiesummon
title @a[tag=zombiesummon] actionbar Summoning Zombies
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ summon zombie ~ ~ ~
execute @a[tag=zombiesummon] ~ ~ ~ kill @e[type=item,name="Zombie Head"]
tag @a[tag=zombiesummon] remove zombiesummon

execute @e[type=item,name="Skeleton Skull"] ~ ~ ~ tag @p[r=4,tag=summoner] add skeletonsummon
title @a[tag=skeletonsummon] actionbar Summoning Skeletons
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ summon skeleton ~ ~ ~
execute @a[tag=skeletonsummon] ~ ~ ~ kill @e[type=item,name="Skeleton Skull"]
tag @a[tag=skeletonsummon] remove skeletonsummon

execute @e[type=item,name="Wither Skeleton Skull"] ~ ~ ~ tag @p[r=4,tag=summoner] add wskeletonsummon
title @a[tag=wskeletonsummon] actionbar Summoning Wither Skeletons
execute @a[tag=wskeletonsummon] ~ ~ ~ summon wither_skeleton ~ ~ ~
execute @a[tag=wskeletonsummon] ~ ~ ~ summon wither_skeleton ~ ~ ~
execute @a[tag=wskeletonsummon] ~ ~ ~ summon wither_skeleton ~ ~ ~
execute @a[tag=wskeletonsummon] ~ ~ ~ summon wither_skeleton ~ ~ ~
execute @a[tag=wskeletonsummon] ~ ~ ~ kill @e[type=item,name="Wither Skeleton Skull"]
tag @a[tag=wskeletonsummon] remove wskeletonsummon

execute @e[type=item,name="Golden Axe"] ~ ~ ~ tag @p[r=4,tag=summoner] add brutesummon
title @a[tag=brutesummon] actionbar Summoning Piglin Brutes
execute @a[tag=brutesummon] ~ ~ ~ summon minecraft:piglin_brute ~ ~ ~
execute @a[tag=brutesummon] ~ ~ ~ summon minecraft:piglin_brute ~ ~ ~
execute @a[tag=brutesummon] ~ ~ ~ summon minecraft:piglin_brute ~ ~ ~
execute @a[tag=brutesummon] ~ ~ ~ summon minecraft:piglin_brute ~ ~ ~
execute @a[tag=brutesummon] ~ ~ ~ summon minecraft:piglin_brute ~ ~ ~
execute @a[tag=brutesummon] ~ ~ ~ kill @e[type=item,name="Golden Axe"]
tag @a[tag=brutesummon] remove brutesummon

execute @e[type=item,name="Fermented Spider Eye"] ~ ~ ~ tag @p[r=4,tag=summoner] add spidersummon
title @a[tag=spidersummon] actionbar Summoning Cave Spiders
execute @a[tag=spidersummon] ~ ~ ~ summon cave_spider ~ ~ ~
execute @a[tag=spidersummon] ~ ~ ~ summon cave_spider ~ ~ ~
execute @a[tag=spidersummon] ~ ~ ~ summon cave_spider ~ ~ ~
execute @a[tag=spidersummon] ~ ~ ~ summon cave_spider ~ ~ ~
execute @a[tag=spidersummon] ~ ~ ~ summon cave_spider ~ ~ ~
execute @a[tag=spidersummon] ~ ~ ~ kill @e[type=item,name="Fermented Spider Eye"]
tag @a[tag=spidersummon] remove spidersummon

execute @e[type=item,name="Golden Sword"] ~ ~ ~ tag @p[r=4,tag=summoner] add pigmansummon
title @a[tag=pigmansummon] actionbar Summoning Pigmen
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ summon zombie_pigman ~ ~ ~
execute @a[tag=pigmansummon] ~ ~ ~ kill @e[type=item,name="Golden Sword"]
tag @a[tag=pigmansummon] remove pigmansummon

effect @a[tag=summoner] weakness 1 2 true


execute @e[type=item,name="Alchemist"] ~ ~ ~ tag @p[r=3] add alchemistload
title @a[tag=alchemistload] title Alchemist Class
clear @a[tag=alchemistload]
execute @a[tag=alchemistload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=alchemistload] brewing_stand 8 0 {"keep_on_death":{}}
give @a[tag=alchemistload] blaze_powder 32 0 {"keep_on_death":{}}
give @a[tag=alchemistload] fermented_spider_eye 2 0 {"keep_on_death":{}}
give @a[tag=alchemistload] tallgrass 2 0 {"keep_on_death":{}}
give @a[tag=alchemistload] cocoa_beans 2 0 {"keep_on_death":{}}
give @a[tag=alchemistload] warped_fungus 2 0 {"keep_on_death":{}}
give @a[tag=alchemistload] red_mushroom_block 2 0 {"keep_on_death":{}}
tag @a[tag=alchemistload] add alchemist
tag @a[tag=alchemist] remove alchemistload
execute @a[tag=alchemist] ~ ~ ~ kill @e[r=7,type=item,name="Alchemist"]

replaceitem entity @a[tag=alchemist] slot.armor.chest 0 air

execute @e[type=item,name="Fermented Spider Eye"] ~ ~ ~ tag @p[r=4,tag=alchemist] add swiftness
give @a[tag=swiftness] potion 1 16
execute @a[tag=swiftness] ~ ~ ~ kill @e[r=5,type=item,name="Fermented Spider Eye"]
tag @a[tag=swiftness] remove swiftness

execute @e[type=item,name="Fern"] ~ ~ ~ tag @p[r=4,tag=alchemist] add water
give @a[tag=water] potion 1 20
execute @a[tag=water] ~ ~ ~ kill @e[r=5,type=item,name="Fern"]
tag @a[tag=water] remove water

execute @e[type=item,name="Cocoa Beans"] ~ ~ ~ tag @p[r=4,tag=alchemist] add regen
give @a[tag=regen] potion 1 28
execute @a[tag=regen] ~ ~ ~ kill @e[r=5,type=item,name="Cocoa Beans"]
tag @a[tag=regen] remove regen

execute @e[type=item,name="Warped Fungus"] ~ ~ ~ tag @p[r=4,tag=alchemist] add strength
give @a[tag=strength] potion 1 33
execute @a[tag=strength] ~ ~ ~ kill @e[r=5,type=item,name="Warped Fungus"]
tag @a[tag=strength] remove strength

execute @e[type=item,name="Red Mushroom Block"] ~ ~ ~ tag @p[r=4,tag=alchemist] add slow
give @a[tag=slow] potion 1 40
execute @a[tag=slow] ~ ~ ~ kill @e[r=5,type=item,name="Red Mushroom Block"]
tag @a[tag=slow] remove slow


execute @e[type=item,name="Forger"] ~ ~ ~ tag @p[r=3] add forgerload
title @a[tag=forgerload] title Forger Class
clear @a[tag=forgerload]
execute @a[tag=forgerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=forgerload] anvil 4 0 {"keep_on_death":{}}
give @a[tag=forgerload] iron_chestplate 1 0 {"keep_on_death":{}}
give @a[tag=forgerload] iron_axe 1 0 {"keep_on_death":{}}
tag @a[tag=forgerload] add forger
tag @a[tag=forger] remove forgerload
execute @a[tag=forger] ~ ~ ~ kill @e[r=7,type=item,name="Forger"]

effect @a[tag=forger] slowness 1 0 true

execute @e[type=item,name="Block of Emerald"] ~ ~ ~ tag @p[r=4,tag=forger] add iron
give @a[tag=iron] iron_block 1 0 {"keep_on_death":{}}
execute @a[tag=iron] ~ ~ ~ kill @e[r=5,type=item,name="Block of Emerald"]
tag @a[tag=iron] remove iron


execute @e[type=item,name="Enchanter"] ~ ~ ~ tag @p[r=3] add enchanterload
title @a[tag=enchanterload] title Enchanter Class
clear @a[tag=enchanterload]
execute @a[tag=enchanterload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=enchanterload] lapis_block 8 0 {"keep_on_death":{}}
give @a[tag=enchanterload] emerald_block 1 0 {"keep_on_death":{}}
tag @a[tag=enchanterload] add enchanter
tag @a[tag=enchanter] remove enchanterload
execute @a[tag=enchanter] ~ ~ ~ kill @e[r=7,type=item,name="Enchanter"]

execute @e[type=item,name="Block of Emerald"] ~ ~ ~ tag @p[r=4,tag=enchanter] add xp
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ summon xp_bottle
execute @a[tag=xp] ~ ~ ~ kill @e[r=5,type=item,name="Block of Emerald"]
tag @a[tag=xp] remove xp

execute @e[type=item,name="Emerald"] ~ ~ ~ tag @p[r=4,tag=enchanter] add lapis
give @a[tag=lapis] lapis_lazuli 5 0 {"keep_on_death":{}}
execute @a[tag=lapis] ~ ~ ~ kill @e[r=5,type=item,name="Emerald"]
tag @a[tag=lapis] remove lapis


execute @e[type=item,name="Miner"] ~ ~ ~ tag @p[r=3] add minerload
title @a[tag=minerload] title Miner Class
clear @a[tag=minerload]
execute @a[tag=minerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=minerload] iron_pickaxe 1 0 {"keep_on_death":{}}
give @a[tag=minerload] torch 32 0 {"keep_on_death":{}}
tag @a[tag=minerload] add miner
tag @a[tag=miner] remove minerload
execute @a[tag=miner] ~ ~ ~ kill @e[r=7,type=item,name="Miner"]

effect @a[tag=miner] hunger 1 0 true
effect @a[tag=miner] haste 1 0 true
execute @a[tag=miner] ~ ~ ~ detect ~ ~-1 ~ stone 0 effect @p night_vision 1 0 true
enchant @a[tag=miner] efficiency 2
execute @a[tag=miner] ~ ~ ~ detect ~ ~-1 ~ iron_ore 0 effect @p haste 1 3 true
enchant @a[tag=miner] unbreaking 1
enchant @a[tag=miner] fortune 1

execute @e[type=item,name="Iron Ore"] ~ ~ ~ tag @p[r=4,tag=miner] add iore
give @a[tag=iore] iron_ingot 2
execute @a[tag=iore] ~ ~ ~ kill @e[r=5,type=item,name="Iron Ore"]
tag @a[tag=iore] remove iore

execute @e[type=item,name="Gold Ore"] ~ ~ ~ tag @p[r=4,tag=miner] add gore
give @a[tag=gore] gold_ingot 2
execute @a[tag=gore] ~ ~ ~ kill @e[r=5,type=item,name="Gold Ore"]
tag @a[tag=gore] remove gore

execute @e[type=item,name="Ancient Debris"] ~ ~ ~ tag @p[r=4,tag=miner] add aore
give @a[tag=aore] netherite_scrap 2
execute @a[tag=aore] ~ ~ ~ kill @e[r=5,type=item,name="Ancient Debris"]
tag @a[tag=aore] remove aore


execute @e[type=item,name="Farmer"] ~ ~ ~ tag @p[r=3] add farmerload
title @a[tag=farmerload] title Farmer Class
clear @a[tag=farmerload]
execute @a[tag=farmerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=farmerload] iron_hoe 1 0 {"keep_on_death":{}}
give @a[tag=farmerload] wheat_seeds 32 0 {"keep_on_death":{}}
give @a[tag=farmerload] fence 64 0 {"keep_on_death":{}}
tag @a[tag=farmerload] add farmer
tag @a[tag=farmer] remove farmerload
execute @a[tag=farmer] ~ ~ ~ kill @e[r=7,type=item,name="Farmer"]

execute @e[type=item,name="Hay Bale"] ~ ~ ~ tag @p[r=4,tag=farmer] add bread
give @a[tag=bread] bread 5
execute @a[tag=bread] ~ ~ ~ kill @e[r=5,type=item,name="Hay Bale"]
tag @a[tag=bread] remove bread

execute @a[tag=farmer] ~ ~ ~ detect ~ ~-1 ~ dirt 1 setblock ~ ~-1 ~ farmland
replaceitem entity @a[tag=farmer] slot.armor.feet 0 leather_boots 1 0 {"item_lock":{"mode":"lock_in_slot"}}
replaceitem entity @a[tag=farmer] slot.armor.head 0 chainmail_helmet 1 0 {"item_lock":{"mode":"lock_in_slot"}}
effect @a[tag=farmer] resistance 1 1 true
effect @a[tag=farmer] fire_resistance 1 0 true


execute @e[type=item,name="Geologist"] ~ ~ ~ tag @p[r=3] add geologistload
title @a[tag=geologistload] title Geologist Class
clear @a[tag=geologistload]
execute @a[tag=geologistload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=geologistload] stone 2 2 {"keep_on_death":{}}
give @a[tag=geologistload] stone 2 4 {"keep_on_death":{}}
give @a[tag=geologistload] stone 2 6 {"keep_on_death":{}}
tag @a[tag=geologistload] add geologist
tag @a[tag=geologist] remove geologistload
execute @a[tag=geologist] ~ ~ ~ kill @e[r=7,type=item,name="Geologist"]

execute @e[type=item,name="Polished Andesite"] ~ ~ ~ tag @p[r=4,tag=geologist] add andesite
title @a[tag=andesite] actionbar Examining
execute @a[tag=andesite] ~ ~ ~ structure load andesitefloor ^ ^ ^4
execute @a[tag=andesite] ~ ~ ~ kill @e[r=5,type=item,name="Polished Andesite"]
tag @a[tag=andesite] remove andesite

execute @e[type=item,name="Polished Diorite"] ~ ~ ~ tag @p[r=4,tag=geologist] add diorite
title @a[tag=diorite] actionbar Examining
execute @a[tag=diorite] ~ ~ ~ structure load dioritewall ^ ^ ^4
execute @a[tag=diorite] ~ ~ ~ kill @e[r=5,type=item,name="Polished Diorite"]
tag @a[tag=diorite] remove diorite

execute @e[type=item,name="Polished Granite"] ~ ~ ~ tag @p[r=4,tag=geologist] add granite
title @a[tag=granite] actionbar Examining
give @a[tag=granite] iron_ingot 4
execute @a[tag=granite] ~ ~ ~ kill @e[r=5,type=item,name="Polished Granite"]
tag @a[tag=granite] remove granite

execute @a[tag=geologist] ~ ~ ~ detect ~ ~-1 ~ diamond_ore 0 setblock ^ ^ ^15 gravel
execute @a[tag=geologist] ~ ~ ~ detect ~ ~-1 ~ dirt 1 effect @p jump_boost 1 7


execute @e[type=item,name="Engineer"] ~ ~ ~ tag @p[r=3] add engineerload
title @a[tag=engineerload] title Engineer Class
clear @a[tag=engineerload]
execute @a[tag=engineerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=engineerload] redstone 64 0 {"keep_on_death":{}}
give @a[tag=engineerload] sticky_piston 8 0 {"keep_on_death":{}}
give @a[tag=engineerload] repeater 16 0 {"keep_on_death":{}}
tag @a[tag=engineerload] add engineer
tag @a[tag=engineer] remove engineerload
execute @a[tag=engineer] ~ ~ ~ kill @e[r=7,type=item,name="Engineer"]

effect @a[tag=engineer] speed 1 0 true
effect @a[tag=engineer] blindness 20 0 true
effect @a[tag=engineer] regeneration 1 4 true
effect @a[tag=engineer] saturation 1 0 true
enchant @a[tag=engineer] sharpness 1
enchant @a[tag=engineer] efficiency 1
enchant @a[tag=engineer] protection

execute @e[type=item,name="Block of Redstone"] ~ ~ ~ tag @p[r=4,tag=engineer] add fuel
title @a[tag=fuel] actionbar Redstone Fuel
effect @a[tag=fuel] strength 20 2
execute @a[tag=fuel] ~ ~ ~ kill @e[r=5,type=item,name="Block of Redstone"] 
tag @a[tag=fuel] remove fuel

execute @e[type=item,name="Block of Iron"] ~ ~ ~ tag @p[r=4,tag=engineer] add golemp
title @a[tag=golemp] actionbar Golem Project
execute @a[tag=golemp] ~ ~ ~ summon iron_golem ^ ^ ^2
execute @a[tag=golemp] ~ ~ ~ kill @e[r=5,type=item,name="Block of Iron"] 
tag @a[tag=golemp] remove golemp


execute @e[type=item,name="Thief"] ~ ~ ~ tag @p[r=3] add thiefload
title @a[tag=thiefload] title Thief Class
clear @a[tag=thiefload]
execute @a[tag=thiefload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=thiefload] iron_shovel 1 0 {"keep_on_death":{}}
give @a[tag=thiefload] flint_and_steel 1 0 {"keep_on_death":{}}
give @a[tag=thiefload] lead 3 0 {"keep_on_death":{}}
tag @a[tag=thiefload] add thief
tag @a[tag=thief] remove thiefload
execute @a[tag=thief] ~ ~ ~ kill @e[r=7,type=item,name="Thief"]

replaceitem entity @a[tag=thief] slot.armor.feet 0 leather_boots 1 0 {"item_lock":{"mode":"lock_in_slot"}}

execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=warrior] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=archer] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=mage] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=summoner] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=alchemist] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=forger] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enchanter] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=miner] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=farmer] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=geologist] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=engineer] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=chef] slot.weapon.mainhand 0 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enforcer] slot.weapon.mainhand 0 air 1 0

execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=warrior] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=archer] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=mage] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=summoner] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=alchemist] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=forger] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enchanter] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=miner] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=farmer] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=geologist] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=engineer] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=chef] slot.inventory 7 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enforcer] slot.inventory 7 air 1 0

execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=warrior] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=archer] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=mage] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=summoner] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=alchemist] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=forger] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enchanter] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=miner] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=farmer] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=geologist] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=engineer] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=chef] slot.inventory 21 air 1 0
execute @a[tag=thief] ~ ~ ~ replaceitem entity @a[r=1,tag=enforcer] slot.inventory 21 air 1 0

execute @a[tag=warrior] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=archer] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=mage] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=summoner] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=alchemist] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=forger] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=enchanter] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=miner] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=farmer] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=geologist] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=engineer] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=chef] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget
execute @a[tag=enforcer] ~ ~ ~ give @a[r=1,tag=thief] gold_nugget


execute @e[type=item,name="Chef"] ~ ~ ~ tag @p[r=3] add chefload
title @a[tag=chefload] title Chef Class
clear @a[tag=chefload]
execute @a[tag=chefload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=chefload] iron_shovel 1 0 {"keep_on_death":{}}
give @a[tag=chefload] iron_sword 1 0 {"keep_on_death":{}}
give @a[tag=chefload] smoker 4 0 {"keep_on_death":{}}
give @a[tag=chefload] coal 16 0 {"keep_on_death":{}}
tag @a[tag=chefload] add chef
tag @a[tag=chef] remove chefload
execute @a[tag=chef] ~ ~ ~ kill @e[r=7,type=item,name="Chef"]

replaceitem entity @a[tag=chef] slot.armor.head 0 iron_helmet 1 0 {"item_lock":{"mode":"lock_in_slot"}}
replaceitem entity @a[tag=chef] slot.armor.chest 0 air 1 0 {"item_lock":{"mode":"lock_in_slot"}}

execute @e[type=item,name="Sugar"] ~ ~ ~ tag @p[r=4,tag=chef] add sugar
title @a[tag=sugar] actionbar Butter
give @a[tag=sugar] gold_ingot 2
execute @a[tag=sugar] ~ ~ ~ kill @e[r=5,type=item,name="Sugar"] 
tag @a[tag=sugar] remove sugar

execute @e[type=item,name="Milk"] ~ ~ ~ tag @p[r=4,tag=chef] add milk
title @a[tag=milk] actionbar Strong Bones
effect @a[tag=milk] strength 30 0
execute @a[tag=milk] ~ ~ ~ kill @e[r=5,type=item,name="Milk"] 
tag @a[tag=milk] remove milk

enchant @a[tag=chef] fire_aspect

execute @e[type=item,name="Feather"] ~ ~ ~ tag @p[r=4,tag=chef] add egg
title @a[tag=egg] actionbar Summoning Chickens
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ summon chicken
execute @a[tag=egg] ~ ~ ~ kill @e[r=5,type=item,name="Feather"] 
tag @a[tag=egg] remove egg

execute @e[type=item,name="Honey Bottle"] ~ ~ ~ tag @p[r=4,tag=chef] add honey
title @a[tag=honey] actionbar Honey Coated
effect @a[tag=honey] resistance 30 4
effect @a[tag=honey] slowness 30 1
effect @a[tag=honey] regeneration 25 2
execute @a[tag=honey] ~ ~ ~ kill @e[r=5,type=item,name="Honey Bottle"] 
tag @a[tag=honey] remove honey

execute @e[type=item,name="Bowl"] ~ ~ ~ tag @p[r=4,tag=chef] add bowl
title @a[tag=bowl] actionbar Fork
give @a[tag=bowl] trident 1 190
execute @a[tag=bowl] ~ ~ ~ kill @e[r=5,type=item,name="Bowl"] 
tag @a[tag=bowl] remove bowl

execute @e[type=item,name="Enforcer"] ~ ~ ~ tag @p[r=3] add enforcerload
title @a[tag=enforcerload] title Enforcer Class
clear @a[tag=enforcerload]
execute @a[tag=enforcerload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=enforcerload] crossbow 1 0 {"keep_on_death":{}}
give @a[tag=enforcerload] arrow 1 0 {"keep_on_death":{}}
tag @a[tag=enforcerload] add enforcer
tag @a[tag=enforcer] remove enforcerload
execute @a[tag=enforcer] ~ ~ ~ kill @e[r=7,type=item,name="Enforcer"]

enchant @a[tag=enforcer] infinity

execute @a[tag=froze] ~ ~ ~ setblock ~ ~ ~ web
effect @a[tag=froze] slowness 1 4

execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=warrior] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=archer] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=mage] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=summoner] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=alchemist] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=forger] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=enchanter] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=miner] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=farmer] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=geologist] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=engineer] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=thief] add froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=2,tag=chef] add froze

execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=warrior] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=archer] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=mage] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=summoner] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=alchemist] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=forger] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=enchanter] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=miner] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=farmer] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=geologist] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=engineer] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=thief] remove froze
execute @a[tag=enforcer] ~ ~ ~ tag @p[r=3,tag=chef] remove froze



execute @e[type=item,name="Bee"] ~ ~ ~ tag @p[r=3] add beeload
title @a[tag=beeload] title Bee Origin
clear @a[tag=beeload]
execute @a[tag=beeload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=beeload] iron_sword 1 0 {"keep_on_death":{}}
tag @a[tag=beeload] add bee
tag @a[tag=bee] remove beeload
execute @a[tag=bee] ~ ~ ~ kill @e[r=7,type=item,name="Bee"]

execute @a[tag=bee] ~ ~ ~ detect ~ ~ ~ air 0 effect @p slow_falling 1 0 true
execute @a[tag=bee] ~ ~ ~ detect ~ ~ ~ air 0 effect @p slowness 1 0 true
execute @a[tag=bee] ~ ~ ~ detect ~ ~ ~ air 0 effect @p slowness 1 0 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^3 red_flower 0 effect @p regeneration 1 5 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^2 red_flower 0 effect @p regeneration 1 5 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^1 red_flower 0 effect @p regeneration 1 5 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^3 yellow_flower 0 effect @p regeneration 1 5 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^2 yellow_flower 0 effect @p regeneration 1 5 true
execute @a[tag=bee] ~ ~ ~ detect ^ ^ ^1 yellow_flower 0 effect @p regeneration 1 5 true

execute @e[type=item,name="Sugar"] ~ ~ ~ tag @p[r=3,tag=bee] add sugarrush
effect @a[tag=sugarrush] strength 15 2
execute @a[tag=sugarrush] ~ ~ ~ kill @e[r=4,type=item,name="Sugar"]
tag @a[tag=sugarrush] remove sugarrush

execute @e[type=item,name="Glass Bottle"] ~ ~ ~ tag @p[r=3,tag=bee] add honeyb
give @a[tag=honeyb] honey_bottle
execute @a[tag=honeyb] ~ ~ ~ kill @e[r=4,type=item,name="Glass Bottle"]
tag @a[tag=honeyb] remove honeyb

execute @e[type=item,name="Ghast Tear"] ~ ~ ~ tag @p[r=3,tag=bee] add kill
execute @a[tag=kill] ~ ~ ~ kill @e[type=item,name="Ghast Tear"]
execute @a[tag=kill] ~ ~ ~ effect @a[r=20] fatal_poison 10 3
tag @a[tag=kill] remove kill


execute @e[type=item,name="Sunborn"] ~ ~ ~ tag @p[r=3] add sunbornload
title @a[tag=sunbornload] title Sunborn Origin
clear @a[tag=sunbornload]
execute @a[tag=sunbornload] ~ ~ ~ structure load spawn 0 63 -3
give @a[tag=sunbornload] flint_and_steel 1 0 {"keep_on_death":{}}
tag @a[tag=sunbornload] add sunborn
tag @a[tag=sunborn] remove sunbornload
execute @a[tag=sunborn] ~ ~ ~ kill @e[r=7,type=item,name="Sunborn"]

execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^5 flowing_lava 0 effect @p regeneration 1 2 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^4 flowing_lava 0 effect @p regeneration 1 2 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^3 flowing_lava 0 effect @p regeneration 1 2 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^2 flowing_lava 0 effect @p regeneration 1 2 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^1 flowing_lava 0 effect @p regeneration 1 2 true

execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^7 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^6 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^5 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^4 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^3 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^2 lava 0 effect @p regeneration 1 4 true
execute @a[tag=sunborn] ~ ~ ~ detect ^ ^ ^1 lava 0 effect @p regeneration 1 4 true

effect @a[tag=sunborn] fire_resistance 1 0 true

execute @e[type=item,name="Moonbeam"] ~ ~ ~ tag @p[r=3] add moonbeamload
title @a[tag=moonbeamload] title Moonbeam Origin
clear @a[tag=moonbeamload]
execute @a[tag=moonbeamload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=moonbeamload] add moonbeam
tag @a[tag=moonbeam] remove moonbeamload
execute @a[tag=moonbeam] ~ ~ ~ kill @e[r=7,type=item,name="Moonbeam"]


effect @a[tag=moonbeam] hunger 1 0 true

execute @e[type=item,name="Phantom Membrane"] ~ ~ ~ tag @p[r=4,tag=moonbeam] add phantomspawn
title @a[tag=phantomspawn] actionbar Summoning Phantom
execute @a[tag=phantomspawn] ~ ~ ~ summon phantom ^ ^ ^2
execute @a[tag=phantomspawn] ~ ~ ~ kill @e[r=5,type=item,name="Phantom Membrane"] 
tag @a[tag=phantomspawn] remove phantomspawn

execute @e[type=item,name="Starborn"] ~ ~ ~ tag @p[r=3] add starbornload
title @a[tag=starbornload] title Starborn Origin
clear @a[tag=starbornload]
execute @a[tag=starbornload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=starbornload] add starborn
tag @a[tag=starborn] remove starbornload
execute @a[tag=starborn] ~ ~ ~ kill @e[r=7,type=item,name="Starborn"]


effect @a[tag=starborn] blindness 1 0 true

execute @a[tag=starborn] ~ ~ ~ detect ~ ~-1 ~ gold_block 0 summon lightning_bolt ^ ^ ^7

execute @e[type=item,name="Soulwalker"] ~ ~ ~ tag @p[r=3] add soulwalkerload
title @a[tag=soulwalkerload] title Soulwalker Origin
clear @a[tag=soulwalkerload]
execute @a[tag=soulwalkerload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=soulwalkerload] add soulwalker
tag @a[tag=soulwalker] remove soulwalkerload
execute @a[tag=soulwalker] ~ ~ ~ kill @e[r=7,type=item,name="Soulwalker"]

execute @e[type=skeleton] ~ ~ ~ effect @p[r=15,tag=soulwalker] invisibility 1 1 true


execute @e[type=item,name="Snowborn"] ~ ~ ~ tag @p[r=3] add snowbornload
title @a[tag=snowbornload] title Snowborn Origin
clear @a[tag=snowbornload]
execute @a[tag=snowbornload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=snowbornload] add snowborn
tag @a[tag=snowborn] remove snowbornload
execute @a[tag=snowborn] ~ ~ ~ kill @e[r=7,type=item,name="Snowborn"]

effect @a[tag=snowborn] slowness 1 0 true

execute @a[tag=snowborn] ~ ~ ~ detect ~ ~-1 ~ water 0 setblock ~ ~-1 ~ ice


execute @e[type=item,name="Crab"] ~ ~ ~ tag @p[r=3] add crabload
title @a[tag=crabload] title Crab Origin
clear @a[tag=crabload]
execute @a[tag=crabload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=crabload] add crab
tag @a[tag=crab] remove crabload
execute @a[tag=crab] ~ ~ ~ kill @e[r=7,type=item,name="Crab"]

effect @a[tag=crab] speed 1 0 true
effect @a[tag=crab] conduit_power 1 0 true


execute @e[type=item,name="Leavian"] ~ ~ ~ tag @p[r=3] add leavianload
title @a[tag=leavianload] title Leavian Origin
clear @a[tag=leavianload]
execute @a[tag=leavianload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=leavianload] add leavian
tag @a[tag=leavian] remove leavianload
execute @a[tag=leavian] ~ ~ ~ kill @e[r=7,type=item,name="Leavian"]

execute @a[tag=leavian] ~ ~ ~ detect ~ ~-1 ~ grass 0 effect @p invisibility 1 0 true
effect @a[tag=leavian] saturation 1 0 true


execute @e[type=item,name="Dragonian"] ~ ~ ~ tag @p[r=3] add dragonload
title @a[tag=dragonload] title Dragonian Origin
clear @a[tag=dragonload]
execute @a[tag=dragonload] ~ ~ ~ structure load spawn 0 63 -3
tag @a[tag=dragonload] add dragon
tag @a[tag=dragon] remove dragonload
execute @a[tag=dragon] ~ ~ ~ kill @e[r=7,type=item,name="Dragon"]

execute @a[tag=dragon] ~ ~ ~ detect ~ ~-2 ~ air 0 effect @p resistance 6